package org.jeecg.modules.jmreport;

import com.boman.common.security.annotation.EnableCustomConfig;
import com.boman.common.security.annotation.EnableRyFeignClients;
import com.boman.common.swagger.annotation.EnableCustomSwagger2;
import org.springframework.boot.SpringApplication;
import org.springframework.cloud.client.SpringCloudApplication;
import org.springframework.context.annotation.ComponentScan;

/**
 * web-core
 *
 * @author shiqian
 */
@EnableCustomConfig
@EnableCustomSwagger2
@EnableRyFeignClients
@SpringCloudApplication
@ComponentScan(value = {"com.boman", "org.jeecg.modules.jmreport"})
public class BomanReportApplication {

    public static void main(String[] args) {
        SpringApplication.run(BomanReportApplication.class, args);
        System.out.println();
        System.out.println();
        System.out.println("---------------------------------------------- boman-report 模块启动成功----------------------------------------------");
        System.out.println("---------------------------------------------- boman-report 模块启动成功----------------------------------------------");
        System.out.println("---------------------------------------------- boman-report 模块启动成功----------------------------------------------");
        System.out.println("---------------------------------------------- boman-report 模块启动成功----------------------------------------------");
        System.out.println("---------------------------------------------- boman-report 模块启动成功----------------------------------------------");
        System.out.println("---------------------------------------------- boman-report 模块启动成功----------------------------------------------");
        System.out.println();
        System.out.println();
    }
}
